<?php
/**
 * 
 * @file comment.php
 * @copyright (c) 2005 - 2007 eifr.com
 * @license http://www.gnu.org/copyleft/gpl.html gnu/gpl
 * eifr is free software
 */

require_once('../../includes/inc_admin.php');
require_once(EIFR_ROOT . 'libraries/pages.php');
require_once('class_comment.php');

$url = 'mod_comment/comment.php';
Common::checkAdminFileAuth($url); //check file authority
$clComComment = new ComComment();

$act = kGet('act');
switch ($act) {
    case 'delete_forever':
        $clComComment -> deleteRecords();
        break;

    case 'setvalue':
        $clComComment -> setFieldRecords();
        break;

    default :
        $clComComment -> layout_comment();
        break;
} 

?>